%define anolis_release 3
%global ver_major 1
%global ver_minor 0
%global ver_patch 22

%global srcver %{ver_major}.%{ver_minor}-pl%{ver_patch}

%global common_description an implementation of \
the European GSM 06.10 provisional standard for full-rate speech \
transcoding, prI-ETS 300 036, which uses RPE/LTP (residual pulse \
excitation/long term prediction) coding at 13 kbit/s.
 
Name:           gsm
Version:        %{ver_major}.%{ver_minor}.%{ver_patch}
Release:        %{anolis_release}%{?dist}
Summary:        Shared libraries for GSM speech compressor
License:        MIT
URL:            http://www.quut.com/gsm/
Source:         http://www.quut.com/gsm/%{name}-%{version}.tar.gz
Patch0:         %{name}-makefile.patch
BuildRequires:  gcc make

%description
Contains runtime shared libraries for libgsm, %{common_description}

%package        tools
Summary:        GSM speech compressor tools

%description    tools
Contains command line utilities for libgsm, %{common_description}

%package        devel
Summary:        Header files and development libraries for libgsm
Requires:       %{name} = %{EVR}

%description    devel
Contains header files and development libraries for libgsm, %{common_description}

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n gsm-%{srcver}

%build
export LDFLAGS="%{?__global_ldflags}"
%make_build all SO_MAJOR=%{ver_major} SO_MINOR=%{ver_minor} SO_PATCH=%{ver_patch}

%install
export LDFLAGS="%{?__global_ldflags}"
mkdir -p %{buildroot}{%{_bindir},%{_includedir}/gsm,%{_libdir},%{_mandir}/{man1,man3}}

%make_install \
	INSTALL_ROOT=%{buildroot}%{_prefix} \
	GSM_INSTALL_INC=%{buildroot}%{_includedir}/gsm \
	GSM_INSTALL_LIB=%{buildroot}%{_libdir} \
	SO_MAJOR=%{ver_major} SO_MINOR=%{ver_minor} SO_PATCH=%{ver_patch}

ln -s gsm/gsm.h %{buildroot}%{_includedir}

echo ".so toast.1" > %{buildroot}%{_mandir}/man1/tcat.1
echo ".so toast.1" > %{buildroot}%{_mandir}/man1/untoast.1

%generate_compatibility_deps

%check
[ -f %{buildroot}%{_libdir}/libgsm.so.%{version} ]
export LDFLAGS="%{?__global_ldflags}"
%{__make} addtst

%files
%dir %{abidir}
%license COPYRIGHT
%doc MACHINES
%{_libdir}/libgsm.so.*
%{abidir}/libgsm.dump

%files tools
%{_bindir}/tcat
%{_bindir}/toast
%{_bindir}/untoast
%{_mandir}/man1/tcat.1*
%{_mandir}/man1/toast.1*
%{_mandir}/man1/untoast.1*
%{abidir}/toast-option.list

%files devel
%dir %{_includedir}/gsm
%{_includedir}/gsm/gsm.h
%{_includedir}/gsm.h
%{_libdir}/libgsm.so
%{_mandir}/man3/gsm.3*
%{_mandir}/man3/gsm_explode.3*
%{_mandir}/man3/gsm_option.3*
%{_mandir}/man3/gsm_print.3*

%files doc
%doc ChangeLog README

%changelog
* Thu Apr 13 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 1.0.22-3
- optimize spec

* Mon Feb 06 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 1.0.22-2
- optimize spec and corresponding patch

* Fri Sep 23 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.0.22-1
- update to 1.0.22

* Fri Apr 08 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.0.19-1
- init from upstream and provides libgsm.so
